# Trading algo/strategy for cryptocurrency markets

In 2013, my freshman year of college, I stumbled upon coinbase when a friend of mine was bragging about the return he made from holding bitcoin. The concept of cryptocurrencies let alone investing was foreign to me at the time, but I foolishly bought in not knowing what I was doing. When I started studying computer science a few years ago, I began trying to understand the underlying blockchain technology and why so many were considering it to be revolutionary. Aside from the theory behind it, I was curious how these cryptos were being traded and how to manage my own portfolio.  Knowing the space is still incredibly immature and susceptible	 to manipulation, I wanted to attempt to draw correlations between unconventional data and price movement.  I was very curious as to what “alternative data” I could use in a trading strategy.  For my project, I wanted to backtest a strategy using a combination of the following:

Developer Index
* Analyze GitHub commits, forks, pull requests and contributors since GitHub development precedes major development in underlying tech.

ICO Database
* Determine actionable trends in successful ICO’s.

Sentimental Analysis
* Twitter especially has its own crypto-community. Maybe attempt to use their API to identify popularity of tags or sentiment of popular ”crypto” accounts.
* Query crypto related searches on google (using trends.google.com)

Technical Analysis
* Although TA is a more traditional tool, I wanted to also try to identify patterns between my strategy and common indicators (eg. moving avg)


Evaluation:
* Choose different durations
* Just test bull market
* Just test bear market
* Just test flat market

(Possibly learn how to use quantopian to backtest)
